QGIS Application - Bug report #21741
"Check geometries" tool does not fixes errors (overlaps)
2019-04-03 10:34 AM - Alberto Grava

Status: Open

Priority: High

Assignee:

Category: C++ plugins/Geometry Checker

Affected QGIS version:3.6.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corruptsdata: Copied to github as #: 29556
Description

Hi all!

I've some problems with the native plugin CHECK GEOMETRIES.

1 set the options for the geometry checking (I have a polygon layer and 've tried with multiple combination of options)
2 run the plugin (I've tried both creating a new layer and modifying the input layer)

3 the plugin finds the errors

4 run the repair proces (I've tried both using default option and asking correction method)

5 the plugin runs and tells that the errors are solved.

If | check the "solved" file it gives me tha same errors as before anche i close the plugin using 'close' botton o 'X' it close qgis whitout error
message.

Leave attached a testing polyon layer.

thank you all!

History

#1 - 2019-04-03 12:17 PM - Alberto Grava
- File stacktrace.txt added

I've tried another time and this time qgis gives mi the error (that | leave attached).

#2 - 2019-04-06 11:48 AM - Giovanni Manghi
- Operating System deleted (Windows 7 ubuntu 18.04)
- Status changed from Open to Feedback

- Subject changed from Check geometries to "Check geometries” tool does not fixes errors

| cannot replicate the crash here on 3.6.1. | can replicate that the tool does not fixes the overlaps (I think they are all overlaps).

#3 - 2019-04-08 12:31 PM - Alberto Grava

Giovanni Manghi wrote:

I cannot replicate the crash here on 3.6.1. | can replicate that the tool does not fixes the overlaps (I think they are all overlaps).

2024-04-27 12




Yes they are!

#4 - 2019-04-10 05:21 PM - Giovanni Manghi
- Subject changed from "Check geometries" tool does not fixes errors to "Check geometries" tool does not fixes errors (overlaps)
- Status changed from Feedback to Open

Files
test.zip 4.43 MB 2019-04-03 Alberto Grava
stacktrace.txt 1.29 KB 2019-04-03 Alberto Grava
